Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86297 - Server arg "-reuse" is meaningless in /etc/init.d/xinetd
Summary: Server arg "-reuse" is meaningless in /etc/init.d/xinetd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xinetd
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-19 04:55 UTC by SEKINE Tatsuo
Modified: 2014-08-31 23:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-13 17:14:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:160 normal SHIPPED_LIVE : Updated xinetd packages fix a denial-of-service attack and other bugs 2003-05-13 04:00:00 UTC
Red Hat Product Errata RHSA-2003:161 normal SHIPPED_LIVE Important: xinetd security update 2003-05-22 04:00:00 UTC

Description SEKINE Tatsuo 2003-03-19 04:55:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.1) Gecko/20021030 for
VineLinux 0vl6

Description of problem:
Server arg "-reuse" is meaningless in current xinetd.

Because it is supported only for backward compatibility,
no error is reported.

But it make confuse many users.


Version-Release number of selected component (if applicable):
xinetd-2.3.10-4

How reproducible:
Always

Steps to Reproduce:
1.see /etc/init.d/xinetd (or see xinetd.init in SRPM)
2.see xinetd man page
3.see the author's comment in xinetd-2.3.10/xinetd/options.c
    

Actual Results:  1: daemon $prog -stayalive -reuse -pidfile /var/run/xinetd.pid ...

Expected Results:  1: daemon $prog -stayalive -pidfile /var/run/xinetd.pid ...

Additional info:

Comment 1 Mark J. Cox 2003-05-13 17:14:03 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-160.html



Note You need to log in before you can comment on or make changes to this bug.